# CreateContact

Allows you to create individual contacts in a Xero organisation.

**Note:** If an existing contact matches your ContactName or ContactNumber then you will receive an error.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Contact

Contact to create.

Mandatory Item:

* **Name**: Full name of contact/organisation (max length = 255).

## Output

#### Contact

#### The contact created.

## Links

[Xero Developer: Contacts (PUT)](https://developer.xero.com/documentation/api/contacts#PUT)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/contacts/createcontact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
